//GUI for BetaWorld
#ifndef __GUI_H
#define __GUI_H

#include "../interfaces/iobject.h"

#include <vector>

class GUI {
public:
	GUI();
	virtual ~GUI();

    virtual int Load(char *filename);
	virtual int Save(char *filename);

	virtual int Live();

	virtual int Show();

	virtual void Move(int ,int);
	virtual void SetXY(int x,int y);
	virtual void GetXY(int*, int*);
	virtual int GetZ();


    virtual void SetScreen(BITMAP *scr);



private:
	BITMAP *buffer;

};









#endif













