#ifndef __BetaScript_H
#define __BetaScript_H

#include <lua.h>
#include <allegro.h>

#include "luascript.h"



extern BITMAP *cursor;
extern int mode;

class luaBetaScript : public luaScript {
public:
	luaBetaScript();
	luaBetaScript(char *filename);
	virtual ~luaBetaScript();

	void init_funcs();

protected:
	static int set_gfx(lua_State *L);
	static int set_windowed(lua_State *L);
	static int set_cursor(lua_State *L);
	static int init(lua_State *L);
};



#endif

