//Object: Creature -  ⢠
//BetaEngine v 0.1.8
//Igor Rudym riv@piseml.net


#ifndef __CREATURE_H
#define __CREATURE_H

#include "frameobject.h"



class CCreature : public CFrameObject {
public:
	CCreature();
	virtual ~CCreature();

	virtual int GetType() {return OBJ_CREATURE;}

	virtual int Animation();

	virtual int MoveDown();
	virtual int MoveDLeft();
	virtual int MoveLeft();
	virtual int MoveULeft();
	virtual int MoveUp();
	virtual int MoveURight();
	virtual int MoveRight();
	virtual int MoveDRight();

	virtual bool CheckFree(const STask *);

//------------- LUA
	static int lua_move_down(lua_State *L);
	static int lua_move_dleft(lua_State *L);
	static int lua_move_left(lua_State *L);
	static int lua_move_uleft(lua_State *L);
	static int lua_move_up(lua_State *L);
	static int lua_move_uright(lua_State *L);
	static int lua_move_right(lua_State *L);
	static int lua_move_dright(lua_State *L);
	
protected:
};



#endif