/*
	BetaWorld v 0.1.8
	class for loadinf Objects
*/

#ifndef __ObjectLoader_H
#define __ObjectLoader_H


#include "object.h"
#include "../lua-script/luascript.h"
#include "../lua-script/betascript.h"

#include "../system/log.h"
#include "../tools/tools.h"


#include <string.h>



class CObjectLoader : public luaScript {
public:
	CObjectLoader();
	virtual ~CObjectLoader();

	IObject* Load(char *filename,char *type,char*,ImagesPtrArray imgs,IObject *map, int i,int j);

	void init_script_functions();

private:
	static int set_object_class_name(lua_State *L);
	static int set_size(lua_State *L);
	static int set_ImgLib(lua_State	*L);
	static int set_frame(lua_State *L);
	static int set_current_image(lua_State *L);
	static int set_blending(lua_State *L);
	static int set_flag(lua_State *L);
	static int set_script(lua_State *L);
};





#endif