#ifndef __INIT_H_
#define __INIT_H_

#include <allegro.h>

#include "global.h"
#include "log.h"

int  mode = GFX_AUTODETECT;


int set_gfx(int sx,int sy)
{
	set_color_depth(16);
    if (set_gfx_mode(mode, sx, sy, 0, 0) != 0) {
       set_gfx_mode(GFX_TEXT, 0, 0, 0, 0);
       allegro_message("Error setting %ix%i\n%s\n", sx, sy,allegro_error);
       return 0;
    }
    //GFX_SX = sx;
    //GFX_SY = sy;
	//Logger::Log("GFX:  640x480 (windowed)\n\n");
    return 1;
}

int init_system()
{
	//Logger::Log("Start Allegro...\n");
    allegro_init();
    install_keyboard();
    install_mouse();
    install_timer();
	
	//Logger::Log("Set GFX mode...\n");
    return 1;
    //set_gfx(640,480);
}

void deinit_system()
{
	Logger::Log("\nEnd Allegro...\n");
	allegro_exit();
}



#endif