
#include "tools.h"

#include <string.h>



int Tools::InBitmap(BITMAP *bmp,int px,int py)
{
	if(getpixel(bmp,px,py)!=makecol(255,0,255)) return 1;
	return 0;
}

void Tools::DelQuotes(char *str)
{
	for(unsigned int i=0;i<strlen(str)-2;i++) str[i] = str[i+1];
	str[strlen(str)-2] = '\0';
}

int Tools::get_line(FILE *f, char *str)
{
	if(feof(f)) return -1;
	int count=0;
	char c;
	while(1) {
		fread(&c,1,1,f);
		if(c=='\n' || feof(f)) break;
		str[count++] = c;
	}
	str[count]='\0';
	if(feof(f)) return -1;
	return 0;
}

void Tools::del_spaces(char *str)
{
	int c=0;
	while(str[c]==' ') c++;
	for(unsigned int i=0;i<=strlen(str);i++) 
		str[i] = str[i+c];
}


int Tools::skip_spaces(char *str,int start_pos)
{
	if(start_pos<0) return -1;
	while(str[start_pos]==' ') start_pos++;
	if(str[start_pos] == 0xa || str[start_pos]==0xd || (unsigned int)start_pos>=strlen(str)) 
		return -1;
	return start_pos;
}

int Tools::get_word(char *str,char *word,char sep,int start_pos)
{
	if(start_pos<0) return -1;
	//  (sep)
	int c=0;
	while(str[start_pos]==sep) start_pos++;
	while(str[start_pos]!=sep) {
		if(str[start_pos]==0xa || str[start_pos]==0xd || (unsigned int)start_pos>=strlen(str)) break;
		word[c++] = str[start_pos++];
	}
	word[c]=0;
	start_pos++;
	if((unsigned int)start_pos>=strlen(str)) return -1;
	return start_pos;
}
