#ifndef __IOBJECT_H
#define __IOBJECT_H

#include <allegro.h>

class IObject {
public:
	virtual ~IObject() {}

	virtual int Load(char *filename) = 0;
	virtual int Save(char *filename) = 0;

	virtual int Live() = 0;
	virtual int Animation() = 0;

	virtual int Show() = 0;

	virtual void Move(int ,int) = 0;
	virtual void SetXY(int x,int y) = 0;
	virtual void GetXY(int*, int*) = 0;
	virtual int GetZ() = 0;
	virtual void SetSizes(int ,int ) = 0;
	virtual void GetSizes(int *, int *) = 0;

    virtual void SetScreen(BITMAP *scr) = 0;
	
	virtual void SetName(char *name) = 0;
	virtual char* GetName() = 0;

	virtual int GetType() = 0;
};




#endif