#ifndef __TERRA_H
#define __TERRA_H


#include <allegro.h>

#include "../tools/imglib.h"

#include "../system/global.h"



class CTerra {
public:

	struct TRomb {
		int offset;
		int len;
	};

	CTerra() {}
	~CTerra() {}

	static BITMAP *Image(char *filename); 

	static BITMAP *Image(BITMAP *bmp);

	static BITMAP *Romb(int sx,int sy,int col);

	static BITMAP* makeromb(BITMAP *texture);

	static TRomb* GetDigRomb(BITMAP *romb);

	static void draw_dig_romb(BITMAP *dest,BITMAP *bmp,CTerra::TRomb *dig,int x,int y);
	
	static BITMAP* create4color_mask(BITMAP*bmp);
	
	static BITMAP* make_light_texture(BITMAP *bmp,int r,int g,int b,int a,int tx,int ty,int lx,int ly);

	static BITMAP* make_light_romb(BITMAP *bmp,int r,int g,int b,int a,int tx,int ty,int lx,int ly);
};









#endif