#ifndef __TASK_H
#define __TASK_H

#include <queue>

#define TASK_NOP		 0
#define TASK_MOVE_DOWN	 1
#define TASK_MOVE_UP	 2
#define TASK_MOVE_LEFT   3
#define TASK_MOVE_RIGHT  4
#define TASK_MOVE_URIGHT 5
#define TASK_MOVE_DRIGHT 6
#define TASK_MOVE_ULEFT	 7
#define TASK_MOVE_DLEFT	 8





struct STask {
	int type;
	int start_i,start_j;
	int end_i,end_j;
	int start_x,start_y;
	int end_x,end_y;
	int frame;
	int image;
	int end_image;
	float k1,k2;
};

typedef std::queue<STask*> PTaskQueue;




#endif